Too old Firmware with .bin file?

Report your hardware problems here. Include as many details as possible with pictures to get the best possible help and feedback.
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable
John23
Posts: 2
Joined: 01 Jun 2018, 04:58
Location: New York
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable

Too old Firmware with .bin file?

Postby John23 » 14 Aug 2018, 22:46

I have a Vesc with HW 4.12 and I can update it fine using the SW with that comes with the VESC, but when I load a custom .bin file it tells me I need to update the firmware. I have un-commented the section:

#define HW_VERSION_410 // Also for 4.11 and 4.12

and commented out the other HW versions. I though that this was all I had to do and was a supported version? What HW version should I uncomment or is there something else that I'm mising? The VESC tool tells me that FW: 3.39 and 3.40 are supported, but because I have too old firmware on the VESC, I don't have the full functionality that I need with the VESC tool. Any advice?


The Vesc I have:
Attachments
Z1ZZ!.png
Z1ZZ!.png (26.78 KiB) Viewed 5243 times

Mark23
Posts: 4
Joined: 29 May 2018, 14:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable

Re: Too old Firmware with .bin file?

Postby Mark23 » 20 Aug 2018, 16:59

It appears the problem only happens with the newest VESC .95 tool. When I reverted back to the .92 Tool I didn't have any problems and wasn't prompted to continuously update the VESC.

rafeh1
Posts: 3
Joined: 09 Jan 2017, 05:10
Location: los angeles
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable

Re: Too old Firmware with .bin file?

Postby rafeh1 » 28 Oct 2018, 23:23

When I reverted back to the .92 Tool where did u download this?
rafe


[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1236: count(): Parameter must be an array or an object that implements Countable

Return to “Hardware Problems”

Who is online

Users browsing this forum: No registered users and 2 guests